-- LOOT_ITEM_BONUS_ROLL_SELF = "You receive bonus loot: %s.";
-- LOOT_ITEM_BONUS_ROLL_SELF_MULTIPLE = "You receive bonus loot: %sx%d.";
-- LOOT_ITEM_CREATED_SELF = "You create: %s.";
-- LOOT_ITEM_CREATED_SELF_MULTIPLE = "You create: %sx%d.";
-- LOOT_ITEM_PUSHED_SELF = "You receive item: %s.";
-- LOOT_ITEM_PUSHED_SELF_MULTIPLE = "You receive item: %sx%d.";
-- LOOT_ITEM_SELF = "You receive loot: %s.";
-- LOOT_ITEM_SELF_MULTIPLE = "You receive loot: %sx%d.";

-- ZLL_LOOTMESSAGE    = "You receive loot"
-- ZLL_RECEIVEMESSAGE = "You receive"
-- ZLL_CRAFTMESSAGE   = "You create"
-- ZLL_CRAFTMESSAGE2  = "You receive object"


ZLL_COLOR_PATTERN = "ff[%da-f][%da-f][%da-f][%da-f][%da-f][%da-f]"

function getColorQuality()
   local colorQuality = {}
   for quality=1, 7 do
      local r,g,b,hex = GetItemQualityColor(quality)
      colorQuality[hex] = quality
   end
   return colorQuality
end
colorQuality = getColorQuality()

if not ZeldaFrame then
    CreateFrame("Frame", "ZeldaFrame", UIParent)
    print("ZeldaLoot Lite loaded!")
end
ZeldaFrame:RegisterEvent("CHAT_MSG_LOOT")
ZeldaFrame:RegisterEvent("ADDON_LOADED")

function ZeldaFrame_OnEvent(self, event, ...)
    if event == "CHAT_MSG_LOOT" then
        local lootMsg = select(1, ...)
        for color in lootMsg:gmatch(ZLL_COLOR_PATTERN) do
            if colorQuality[color] then
                PlaySoundFile("Interface\\AddOns\\ZeldaLoot_Lite\\Sounds\\" .. colorQuality[color] .. ".mp3")            
                break
            end
        end
    end
end
ZeldaFrame:SetScript("OnEvent", ZeldaFrame_OnEvent)

SLASH_ZLL1 = "/zll"
SlashCmdList["ZLL"] = function(self, txt)
    print("ZeldaLoot Lite by MisoShamen @ Dalaran")
    PlaySoundFile("Interface\\AddOns\\ZeldaLoot_Lite\\Sounds\\" .. math.random(2,7) .. ".mp3")
end
